# Uses of Interface
org.italiangrid.voms.ac.VOMSACLookupStrategy

Packages that use VOMSACLookupStrategy
Package
Description
org.italiangrid.voms
This package provides main VOMS Java APIs class and interfaces.
org.italiangrid.voms.ac.impl
Implementation classes for VOMS attributes validation and parsing.

## Uses of VOMSACLookupStrategy in org.italiangrid.voms

Methods in org.italiangrid.voms with parameters of type VOMSACLookupStrategy
Modifier and Type
Method
Description
`static VOMSACValidator`
VOMSValidators.`newValidator(VOMSTrustStore store, eu.emi.security.authn.x509.X509CertChainValidatorExt validator, ValidationResultListener vrListener, VOMSACLookupStrategy strategy)`

## Uses of VOMSACLookupStrategy in org.italiangrid.voms.ac.impl

Classes in org.italiangrid.voms.ac.impl that implement VOMSACLookupStrategy
Modifier and Type
Class
Description
`class`
`LeafACLookupStrategy`
This strategy returns the leaf VOMS Attribute Certificate in a certificate chain, i.e.
Methods in org.italiangrid.voms.ac.impl with parameters of type VOMSACLookupStrategy
Modifier and Type
Method
Description
`DefaultVOMSValidator.Builder`
DefaultVOMSValidator.Builder.`acLookupStrategy(VOMSACLookupStrategy ls)`
Constructors in org.italiangrid.voms.ac.impl with parameters of type VOMSACLookupStrategy
Modifier
Constructor
Description
``
`DefaultVOMSACParser(VOMSACLookupStrategy strategy)`
Creates a new `DefaultVOMSACParser` with a specified lookup strategy.